DPDRAW(3NCARG)

NAME
DPDRAW - Used to draw a curve when fractional coordinates are available and no smoothing is to be done.

SYNOPSIS
CALL DPDRAW (XCPF,YCPF,IFVL)

C-BINDING SYNOPSIS
#include <ncarg/ncargC.h>

void c_dpdraw (float xcpf, float ycpf, int ifvl);

DESCRIPTION

XCPF
    (an input expression of type REAL) specifies the X coordinate of a point in the fractional coordinate system. Ignored when IFVL = 2.

YCPF
    (an input expression of type REAL) specifies the Y coordinate of a point in the fractional coordinate system. Ignored when IFVL = 2.

IFVL
    (an input expression of type INTEGER) indicates what type of call is being done: "0" implies a "first-point" call, "1" implies a "vector" call, and "2" implies a "last-point" or "buffer-flush" call.

C-BINDING DESCRIPTION
The C-binding argument descriptions are the same as the FORTRAN argument descriptions.

USAGE
Use "CALL DPDRAW(XCPF,YCPF,0)" to do a "pen-up" move to the first point in a sequence of points defining a curve.

Use "CALL DPDRAW(XCPF,YCPF,1)" to do "pen-down" moves to the second and following points in a sequence of points defining a curve.

Use "CALL DPDRAW(0.,0.,2) to terminate a sequence of calls, finish drawing the curve, and flush internal buffers.

EXAMPLES
Use the ncargex command to see the following relevant examples: tdshpk.

ACCESS
To use DPDRAW or c_dpdraw, load the NCAR Graphics libraries ncarg, ncarg_gks, and ncarg_c, preferably in that order.

SEE ALSO
Online: dashpack, dashpack_params, dpcurv, dpfrst, dpgetc, dpgeti, dpgetr, dplast, dpline, dpsetc, dpseti, dpsetr, dpsmth, dpvect, ncarg_cbind.

Hardcopy: None.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.